:root {
    --municipality-teal: #1773b0;
    --municipality-dark: #d9dbe678;
}

/* Knowledge Corner Section */
.knowledge-section {
    margin-bottom: 80px;
}

.section-title {
    font-size: 2.8rem;
    font-weight: 800;
    padding-top: 40px;
    /* padding: 10px 20px; */
    color: #000;
    margin-bottom: 40px;
    text-align: right;
    color: var(--municipality-teal);
}

/* Scrollable Container */
.knowledge-scroll-container {
    max-height: 580px;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 10px 10px 30px 10px;
}

/* Custom Scrollbar */
.knowledge-scroll-container::-webkit-scrollbar {
    width: 8px;
}

.knowledge-scroll-container::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 10px;
}

.knowledge-scroll-container::-webkit-scrollbar-thumb {
    background: var(--municipality-teal);
    border-radius: 10px;
}

.knowledge-card {
    background-color: var(--municipality-teal);
    border-radius: 25px;
    padding: 50px 30px;
    color: var(--municipality-dark);
    /* تغيير لون النص إلى الداكن كما في الصورة */
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    position: relative;
    transition:
        transform 0.3s ease,
        box-shadow 0.3s ease;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
}

.knowledge-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
}

.card-main-title {
    font-size: 1.8rem;
    font-weight: 800;
    margin-bottom: 20px;
    line-height: 1.3;
    color: #fff;
}

.card-sub-desc {
    font-size: 1.25rem;
    font-weight: 700;
    margin-bottom: 60px;
    color: #fff;
    margin-top: 40px;
    margin-bottom: 15px;
}

.btn-file {
    position: absolute;
    bottom: 25px;
    right: 25px;
    background-color: white;
    color: var(--municipality-teal);
    border: none;
    border-radius: 8px;
    padding: 8px 20px;
    display: flex;
    align-items: center;
    gap: 10px;
    font-weight: 700;
    font-size: 1.1rem;
    text-decoration: none;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: all 0.2s;
}

.btn-file:hover {
    background-color: #d9dbe678;
    color: #fff;
}

@media (max-width: 768px) {
    .section-title {
        font-size: 2rem;
    }

    .knowledge-scroll-container {
        max-height: 1000px;
    }
}
